# $Revision: 1.12 $, $Date: 2011/10/09 21:57:50 $
%define		plugin	check_mysql_health
%include	/usr/lib/rpm/macros.perl
Summary:	Nagios plugin: monitor various performance-related characteristics of a MySQL DB
Summary(pl.UTF-8):	Wtyczka Nagiosa monitorująca parametry wydajnościowe bazy danych MySQL
Name:		nagios-plugin-%{plugin}
Version:	2.1.7
Release:	1
License:	GPL v2+
Group:		Networking
Source0:	http://labs.consol.de/wp-content/uploads/2011/08/check_mysql_health-%{version}.tar.gz
# Source0-md5:	82c186235bd031e041f0436dca5999f1
Source1:	%{plugin}.cfg
URL:		http://labs.consol.de/lang/en/nagios/check_mysql_health/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	sed >= 4.0
Requires:	nagios-common >= 3.2.3-3
Obsoletes:	nagios-plugin-check_mysql_perf
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc/nagios/plugins
%define		plugindir	%{_prefix}/lib/nagios/plugins
%define		statedir	/var/spool/nagios/%{plugin}

%description
Nagios plugin which allows you to monitor various performance-related
characteristics of a MySQL database.

%description -l pl.UTF-8
Wtyczka Nagiosa pozwalająca na monitorowanie różnych parametrów bazy
danych MySQL związanych z wydajnością.

%prep
%setup -q -n %{plugin}-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
# NOTE: _target macro becames "noarch" if ./builder passes --target=noarch, so
# be sure use plain rpmbuild.
%configure \
	--host=%{_host} \
	--build=%{_host} \
	--with-perl=%{__perl} \
	--libdir=%{plugindir} \
	--libexecdir=%{plugindir} \
	--with-mymodules-dir=%{plugindir} \
	--with-mymodules-dyn-dir=%{plugindir} \
	--with-statefiles-dir=%{statedir} \
	--with-nagios-user=nagios \
	--with-nagios-group=nagios
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},%{statedir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

cp -a %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/%{plugin}.cfg

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(640,root,nagios) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{plugin}.cfg
%attr(755,root,root) %{plugindir}/%{plugin}
%attr(770,root,nagios) %dir %{statedir}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: nagios-plugin-check_mysql_health.spec,v $
Revision 1.12  2011/10/09 21:57:50  glen
- up to 2.1.7

Revision 1.11  2011/01/01 19:10:13  adamg
- updated to 2.1.5

Revision 1.10  2010/10/07 13:42:23  glen
- nagios common with spool dir

Revision 1.9  2010/10/07 13:40:00  glen
- relocated spool dir

Revision 1.8  2010/10/07 10:32:26  glen
- up to 2.1.3
- setup paths properly instead leaving random defaults

Revision 1.7  2010/05/13 16:44:10  sparky
- BR: autoconf, automake, libtool

Revision 1.6  2010/04/05 19:39:11  glen
- up to 2.1.1 (trace support)

Revision 1.5  2010/04/05 19:32:29  glen
- move config to separate file
- noarch and fool autoconf
- depend on nagios-common not nagios-core
- rel 2

Revision 1.4  2009/11/06 08:11:31  arekm
- up to 2.1

Revision 1.3  2009/04/02 08:48:30  arekm
- BR perl stuff

Revision 1.2  2009/04/02 08:45:01  arekm
- O: nagios-plugin-check_mysql_perf

Revision 1.1  2009/04/02 08:44:36  arekm
- new, obsoletes mysql_perf.
